import { EventEmitter } from '../../stencil-public-runtime';
/**
 * Scrollbar 滚动条组件
 * 用于替换浏览器原生滚动条
 */
export declare class Scrollbar {
    el: HTMLElement;
    /**
     * 滚动条高度
     */
    height?: string;
    /**
     * 滚动条最大高度
     */
    maxHeight?: string;
    /**
     * 是否总是显示滚动条
     * @default false
     */
    always: boolean;
    /**
     * 是否显示原生滚动条
     * @default false
     */
    native: boolean;
    /**
     * 滚动条的最小尺寸
     * @default 20
     */
    minSize: number;
    /**
     * 滚动事件
     */
    hbScroll: EventEmitter<{
        scrollTop: number;
        scrollLeft: number;
    }>;
    scrollbarVisible: boolean;
    thumbHeight: number;
    thumbTop: number;
    private wrapRef?;
    private thumbRef?;
    private resizeObserver?;
    private isDragging;
    private startY;
    private startScrollTop;
    componentDidLoad(): void;
    disconnectedCallback(): void;
    handleSizeChange(): void;
    /**
     * 设置滚动条位置
     */
    setScrollTop(top: number): Promise<void>;
    /**
     * 设置滚动条位置
     */
    setScrollLeft(left: number): Promise<void>;
    /**
     * 获取滚动条位置
     */
    getScrollTop(): Promise<number>;
    /**
     * 获取滚动条位置
     */
    getScrollLeft(): Promise<number>;
    private initScrollbar;
    private addEventListeners;
    private removeEventListeners;
    private updateScrollbar;
    private handleScroll;
    private handleThumbMouseDown;
    private handleMouseMove;
    private handleMouseUp;
    render(): any;
}
